import { IMchc_Doctor_Diagnoses, IMchc_Doctor_OutpatientHeaderInfo, IMchc_Doctor_RvisitInfoOfOutpatient, IMchc_Doctor_RvisitInfoOfOutpatient_Rvisit } from '@lm_fe/service';
import { FormInstance } from 'antd';
import React from 'react';
interface IProps {
    addon_btns?: (data?: Partial<IMchc_Doctor_RvisitInfoOfOutpatient_Rvisit>) => React.ReactNode;
    before_submit?: (submit: (values: any) => Promise<void>, data?: Partial<IMchc_Doctor_RvisitInfoOfOutpatient_Rvisit>, form?: FormInstance, sync?: Boolean) => Promise<void>;
    headerInfo: IMchc_Doctor_OutpatientHeaderInfo;
    visitsData?: IMchc_Doctor_RvisitInfoOfOutpatient;
    formData?: Partial<IMchc_Doctor_RvisitInfoOfOutpatient_Rvisit>;
    diagnosesList: IMchc_Doctor_Diagnoses[];
    isAllPregnancies: boolean;
    changePreventPreeclampsia(v: boolean): void;
    onAddBtnClick(): void;
    isShowPreventPreeclampsia: boolean;
    getLastRecord(): void;
    getVisitsData(): Promise<void>;
    formChange(b: boolean): void;
    canSave: boolean;
    loading: boolean;
    handleSubmit(values: any): Promise<void>;
}
declare function FurtherForm(props: IProps): React.JSX.Element;
export default FurtherForm;
